Debian Bug report logs - #276096
ITA: eclipse -- Development framework

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Jan Schulz <debian@katzien.de>

Date: Tue, 12 Oct 2004 00:33:01 UTC

Owned by: Michael Koch <konqueror@gmx.de>

Severity: normal

Fixed in version eclipse/3.1.1-3

Done: Matej Vela <vela@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-java@lists.debian.org, <wnpp@debian.org>:
Bug#276096; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Jan Schulz <debian@katzien.de>:
New Bug report received and forwarded. Copy sent to debian-java@lists.debian.org, <wnpp@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Jan Schulz <debian@katzien.de>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: O: eclipse -- Extensible Tool Platform and Java IDE
Date: Tue, 12 Oct 2004 02:19:39 +0200
Package: wnpp
Severity: normal

Hello,

I have no longer time to maintain this package.

Eclipse2.1 is outdated and should be replaced by version 3.0. Early
work on this is on www.katzien.de/debian/eclipse3/. It works, but it
needs a lot of polishing... There are also new libswt3 packages in a
different source package

See this mail for more information on the state of the packaging:
http://lists.debian.org/debian-java/2004/09/msg00039.html

Package information:

Package: eclipse-platform
Source: eclipse
Version: 2.1.3-3
Priority: optional
Section: contrib/devel
Maintainer: Jan Schulz <debian@katzien.de>
Depends: j2re1.4 | j2re1.3 | java2-runtime, libswt2.1-gtk2-java |
libswt2.1-java, liblucene-java (>= 1.2), liblucene-java-doc (>= 1.2),
libeclipse-jni (= 2.1.3-3)
Suggests: eclipse-nls-sdk (>= 2.0.2-3), mozilla-browser | x-www-browser
Conflicts: eclipse-xerces, eclipse-nls-sdk (<= 2.0.2-2), libswt-java,
libswt2.1-gtk2-java (<< 2.1.3-0), libswt2.1-motif-java (<< 2.1.3-0)
Architecture: all
Filename: .//eclipse-platform_2.1.3-3_all.deb
Size: 25741550
Installed-Size: 33276
MD5sum: fa26a6a8f7fc539695e9891e7ed47c75
Description: Eclipse platform without plug-ins to develop any language
 The Eclipse Platform is an open and extensible platform
 for anything and yet nothing in particular. It provides a
 foundation for constructing and running integrated
 software-development tools. The Eclipse Platform allows
 tool builders to independently develop tools that integrate
 with other people's tools so seamlessly you can't tell
 where one tool ends and another starts.
 .
 This package provides only the Eclipse Platform. It doesn't include
 any development plug-ins. These are available in different packages:
 .
  * eclipse-jdt Java Development Tools
  * eclipse-pde Plug-in Development Tools
 .
 This package is the base for all eclipse plug-ins.
 .
 You need a SUN derived Java virtual machine to run eclipse. Either use a
 Blackdown mirror or build your own packages via j2se-package (both not in
 the official debian archives).
 

Package: eclipse-jdt
Priority: optional
Section: contrib/devel
Installed-Size: 15006
Maintainer: Jan Schulz <debian@katzien.de>
Architecture: all
Source: eclipse
Version: 2.1.3-4
Depends: eclipse-platform (>= 2.1.3), eclipse-javac (>= 2.1.3), junit
Recommends: j2sdk1.3 | j2sdk1.4
Filename: pool/contrib/e/eclipse/eclipse-jdt_2.1.3-4_all.deb
Size: 11719380
MD5sum: 9fd26b09bea125b6122147e618144c22
Description: Java Development Tools plug-ins for Eclipse
 Eclipse JDT plug-ins to develop Java applications with Eclipse.
 .
 JDT provides a whole Java IDE, complete with Java editor,
 debugger, Ant and JUnit integration and much more.
 
Package: eclipse-sdk
Source: eclipse
Version: 2.1.3-3
Priority: optional
Section: contrib/devel
Maintainer: Jan Schulz <debian@katzien.de>
Depends: eclipse-jdt (>= 2.1.1), eclipse-pde (>= 2.1.1)
Conflicts: eclipse
Replaces: eclipse
Architecture: all
Filename: .//eclipse-sdk_2.1.3-3_all.deb
Size: 16826
Installed-Size: 56
MD5sum: 45568bfea19d8b1954ca6865d9cfa181
Description: Extensible Tool Platform and Java IDE
 Package to provide the whole Eclipse SDK, which includes
 the Java Development Tools and Plug-in Development Tools.
 .
 This package is equivalent to the SDK drops you can download
 at eclipse.org.

Goodbye, Jan 



Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#276096; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Joerg Wendland <joergland@debian.org>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #10 received at 276096@bugs.debian.org (full text, mbox):

From: Joerg Wendland <joergland@debian.org>
To: debian-java@lists.debian.org
Cc: stroh@scan-plus.de
Subject: Re: What's the plan for Eclipse 3?
Date: Wed, 13 Oct 2004 15:28:28 +0200
Hi David, all,

David Goodenough, on 2004-10-12, 09:29, you wrote:
> Is anyone working on Eclipse 3, and an chance of trying out whatever you
> are working on?

A colleague of mine and me are willing to work on Eclipse packages.  
What about creating pkg-eclipse project and manage the packages as team?

Joerg

-- 
Joerg "joergland" Wendland  |  http://www.wendlandnet.de/joerg/
GPG: 51CF8417 FP: 79C0 7671 AFC7 315E 657A  F318 57A3 7FBD 51CF 8417



Changed Bug title. Request was from Joerg Wendland <joergland@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#276096; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Joel Baker <fenton@debian.org>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #17 received at 276096@bugs.debian.org (full text, mbox):

From: Joel Baker <fenton@debian.org>
To: 276096@bugs.debian.org
Subject: Oops, failed to Cc the ITA bug correctly
Date: Fri, 15 Oct 2004 16:48:38 +0000
[Message part 1 (text/plain, inline)]
[ Failed to Cc the ITA bug correctly the first time around ]

Just saw the notice that Eclipse had been orphaned, on the Debian Weekly
News; I also see that Joerg Wendland has suggested a pkg-eclipse setup and
co-maint.

I'm willing to help co-maint it, as well; I use Eclipse 3 pretty much daily
at work (albeit, an evil Windows version, because I work for a company
large enough to qualify as $Lesser_Evil), and I'd like to see it stay in
Debian, since I sometimes use it at home for personal things.
-- 
Joel Baker <fenton@debian.org>                                        ,''`.
                                                                     : :' :
                                                                     `. `'
                                                                       `-
[signature.asc (application/pgp-signature, inline)]

Changed Bug title. Request was from Jeroen van Wolffelaar <jeroen@wolffelaar.nl> to control@bugs.debian.org. Full text and rfc822 format available.

Changed Bug title. Request was from Petter Reinholdtsen <pere@hungry.com> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#276096; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Jerry Haltom <wasabi@larvalstage.net>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #26 received at 276096@bugs.debian.org (full text, mbox):

From: Jerry Haltom <wasabi@larvalstage.net>
To: 276096@bugs.debian.org
Subject: Eclipse 3.0 Packages Complete
Date: Tue, 11 Jan 2005 00:44:50 -0600
I have nearly completed Eclipse 3.0 packages that are built and run with
a free JVM.

Please see my debian-java posts regarding this. I will work there and
pkg-eclipse-maintainers to get these packages accepted.

-- 
Jerry Haltom <wasabi@larvalstage.net>




Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#276096; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Pierre Machard <pmachard@debian.org>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #31 received at 276096@bugs.debian.org (full text, mbox):

From: Pierre Machard <pmachard@debian.org>
To: 276096@bugs.debian.org
Cc: Jerry Haltom <wasabi@larvalstage.net>
Subject: Any news about the eclipse package for Debian ?
Date: Thu, 10 Mar 2005 16:51:28 +0100
[Message part 1 (text/plain, inline)]
Hi,

I've read the bug repport about eclipse. In which state are your
package? When will you upload it into the archive?

Thanks for your work,

Cheers,
-- 
                                Pierre Machard
<pmachard@debian.org>                                 http://debian.org
GPG: 1024D/23706F87 : B906 A53F 84E0 49B6 6CF7 82C2 B3A0 2D66 2370 6F87

[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#276096; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Jerry Haltom <wasabi@larvalstage.net>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #36 received at 276096@bugs.debian.org (full text, mbox):

From: Jerry Haltom <wasabi@larvalstage.net>
To: Pierre Machard <pmachard@debian.org>
Cc: 276096@bugs.debian.org
Subject: Re: Any news about the eclipse package for Debian ?
Date: Thu, 10 Mar 2005 20:25:39 -0600
When I can get a d-d to build it properly. =(

On Thu, 2005-03-10 at 16:51 +0100, Pierre Machard wrote:
> Hi,
> 
> I've read the bug repport about eclipse. In which state are your
> package? When will you upload it into the archive?
> 
> Thanks for your work,
> 
> Cheers,
-- 
Jerry Haltom <wasabi@larvalstage.net>




Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#276096; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Pierre Machard <pmachard@debian.org>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #41 received at 276096@bugs.debian.org (full text, mbox):

From: Pierre Machard <pmachard@debian.org>
To: Jerry Haltom <wasabi@larvalstage.net>
Cc: 276096@bugs.debian.org
Subject: Re: Any news about the eclipse package for Debian ?
Date: Fri, 11 Mar 2005 06:33:50 +0100
[Message part 1 (text/plain, inline)]
On Thu, Mar 10, 2005 at 08:25:39PM -0600, Jerry Haltom wrote:
> When I can get a d-d to build it properly. =(

Can you please elaborate ? I am not sure that I understand what you
mean.

Cheers,
-- 
                                Pierre Machard
<pmachard@debian.org>                                 http://debian.org
GPG: 1024D/23706F87 : B906 A53F 84E0 49B6 6CF7 82C2 B3A0 2D66 2370 6F87

[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#276096; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Jerry Haltom <wasabi@larvalstage.net>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #46 received at 276096@bugs.debian.org (full text, mbox):

From: Jerry Haltom <wasabi@larvalstage.net>
To: Pierre Machard <pmachard@debian.org>
Cc: 276096@bugs.debian.org
Subject: Re: Any news about the eclipse package for Debian ?
Date: Fri, 11 Mar 2005 00:29:26 -0600
I am having trouble finding a sponsor who  is about to fully build the
package and review it. It is fairly large.

On Fri, 2005-03-11 at 06:33 +0100, Pierre Machard wrote:
> On Thu, Mar 10, 2005 at 08:25:39PM -0600, Jerry Haltom wrote:
> > When I can get a d-d to build it properly. =(
> 
> Can you please elaborate ? I am not sure that I understand what you
> mean.
> 
> Cheers,
-- 
Jerry Haltom <wasabi@larvalstage.net>




Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#276096; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to ahs3@fc.hp.com:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #51 received at 276096@bugs.debian.org (full text, mbox):

From: Al Stone <ahs3@fc.hp.com>
To: Jerry Haltom <wasabi@larvalstage.net>, 276096@bugs.debian.org
Subject: Re: Bug#276096: Any news about the eclipse package for Debian ?
Date: Fri, 11 Mar 2005 13:56:30 -0700
On Fri, 2005-03-11 at 00:29 -0600, Jerry Haltom wrote:
> I am having trouble finding a sponsor who  is about to fully build the
> package and review it. It is fairly large.

Have you found a sponsor yet?  I might be interested; my
only concern is I may not have a lot of time so I may be
slow in my review.

Where are the packages, in case I have time over the next
few days?

> On Fri, 2005-03-11 at 06:33 +0100, Pierre Machard wrote:
> > On Thu, Mar 10, 2005 at 08:25:39PM -0600, Jerry Haltom wrote:
> > > When I can get a d-d to build it properly. =(
> > 
> > Can you please elaborate ? I am not sure that I understand what you
> > mean.
> > 
> > Cheers,
> -- 
> Jerry Haltom <wasabi@larvalstage.net>
> 
> 
> 
-- 
Ciao,
al
----------------------------------------------------------------------
Al Stone                                      Alter Ego:
Linux & Open Source Lab                       Debian Developer
Hewlett-Packard Company                       http://www.debian.org
E-mail: ahs3@fc.hp.com                        ahs3@debian.org
----------------------------------------------------------------------




Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#276096; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Charles Fry <debian@frogcircus.org>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #56 received at 276096@bugs.debian.org (full text, mbox):

From: Charles Fry <debian@frogcircus.org>
To: 276096@bugs.debian.org
Cc: joergland@debian.org, debian-java@lists.debian.org
Subject: status of eclipse 3.0
Date: Wed, 13 Jul 2005 13:48:25 -0400
[Message part 1 (text/plain, inline)]
Hi,

What is the status of packaging Eclipse 3.1 for Debian? It seems like it
has been started many times, but never finished.

I would be interested in contributing, but would prefer to pick up where
others left of.

Charles

-- 
A man who passes
On hills and curves
Is not a man
Of iron nerves--
He's crazy!
Burma-Shave
http://burma-shave.org/jingles/1948/a_man_who
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#276096; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Dave Beckett <dajobe@debian.org>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #61 received at 276096@bugs.debian.org (full text, mbox):

From: Dave Beckett <dajobe@debian.org>
To: 276096@bugs.debian.org
Subject: eclipse 3.1 in debian
Date: Sun, 31 Jul 2005 20:49:29 +0100
[Message part 1 (text/plain, inline)]
After much searching and broken links, I see eclipse 3.1 is in ubuntu.
Here's the crucial link:

ftp://ftp.ubuntu.com/ubuntu/pool/universe/e/eclipse/

Is there any reason why this can't be packaged for debian now?

Who is (intending to) maintain it?  debian-java seemed rather quiet
about it, and was one of the sources of broken-links.

Dave

[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#276096; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Charles Fry <debian@frogcircus.org>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #66 received at 276096@bugs.debian.org (full text, mbox):

From: Charles Fry <debian@frogcircus.org>
To: Dave Beckett <dajobe@debian.org>, 276096@bugs.debian.org
Subject: Re: Bug#276096: eclipse 3.1 in debian
Date: Mon, 1 Aug 2005 02:07:03 -0400
[Message part 1 (text/plain, inline)]
I would like to help maintain it. I would enjoy working with others, but
I would be up to attepting it on my own if not (though that would of
course introduce some delay in the process). As the previous owners seem
to have gone mute, perhaps it is time to change ownership of this bug?

Charles

-----Original Message-----
> From: Dave Beckett <dajobe@debian.org>
> Subject: Bug#276096: eclipse 3.1 in debian
> Date: Sun, 31 Jul 2005 20:49:29 +0100
> To: 276096@bugs.debian.org
> Reply-To: Dave Beckett <dajobe@debian.org>, 276096@bugs.debian.org
> 
> After much searching and broken links, I see eclipse 3.1 is in ubuntu.
> Here's the crucial link:
> 
> ftp://ftp.ubuntu.com/ubuntu/pool/universe/e/eclipse/
> 
> Is there any reason why this can't be packaged for debian now?
> 
> Who is (intending to) maintain it?  debian-java seemed rather quiet
> about it, and was one of the sources of broken-links.
> 
> Dave
> 



-- 
Famous last words
"If he won't
Dim his
I won't
Dim mine"
Burma-Shave
http://burma-shave.org/jingles/1947/famous_last_words
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#276096; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to ahs3@fc.hp.com:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #71 received at 276096@bugs.debian.org (full text, mbox):

From: Al Stone <ahs3@fc.hp.com>
To: 276096@bugs.debian.org, Charles Fry <debian@frogcircus.org>
Cc: Dave Beckett <dajobe@debian.org>
Subject: Re: Bug#276096: eclipse 3.1 in debian
Date: Mon, 01 Aug 2005 10:43:03 -0600
On Mon, 2005-08-01 at 02:07 -0400, Charles Fry wrote:
> I would like to help maintain it. I would enjoy working with others, but
> I would be up to attepting it on my own if not (though that would of
> course introduce some delay in the process). As the previous owners seem
> to have gone mute, perhaps it is time to change ownership of this bug?
> 
> Charles

I'm also interested in helping to maintain this package.

> -----Original Message-----
> > From: Dave Beckett <dajobe@debian.org>
> > Subject: Bug#276096: eclipse 3.1 in debian
> > Date: Sun, 31 Jul 2005 20:49:29 +0100
> > To: 276096@bugs.debian.org
> > Reply-To: Dave Beckett <dajobe@debian.org>, 276096@bugs.debian.org
> > 
> > After much searching and broken links, I see eclipse 3.1 is in ubuntu.
> > Here's the crucial link:
> > 
> > ftp://ftp.ubuntu.com/ubuntu/pool/universe/e/eclipse/
> > 
> > Is there any reason why this can't be packaged for debian now?
> > 
> > Who is (intending to) maintain it?  debian-java seemed rather quiet
> > about it, and was one of the sources of broken-links.
> > 
> > Dave
> > 
> 
> 
> 
-- 
Ciao,
al
----------------------------------------------------------------------
Al Stone                                      Alter Ego:
Open Source and Linux R&D                     Debian Developer
Hewlett-Packard Company                       http://www.debian.org
E-mail: ahs3@fc.hp.com                        ahs3@debian.org
----------------------------------------------------------------------




Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#276096; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Charles Fry <debian@frogcircus.org>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #76 received at 276096@bugs.debian.org (full text, mbox):

From: Charles Fry <debian@frogcircus.org>
To: pkg-eclipse-maintainers@lists.alioth.debian.org, Joerg Wendland <joergland@debian.org>, Joel Baker <fenton@debian.org>, Jerry Haltom <wasabi@larvalstage.net>
Cc: Al Stone <ahs3@fc.hp.com>, 276096@debian.org, debian-java@lists.debian.org
Subject: Eclipse Debian package status
Date: Mon, 1 Aug 2005 16:42:01 -0400
[Message part 1 (text/plain, inline)]
Hi,

I am attempting to contact anyone who has previously expressed an
interest in packaging a new Eclipse release for Debian. I grabbed
everyone from the ITA, as well as the Alioth project, and the Java list
for good measure. :-)

Al Stone and I would like to work on packaging a new Eclipse release for
Debian. Are any of you still interested in helping out? If so, can we
resurrect the Alioth project? If not I suppose we can start a new one.
;-)

Charles

-- 
The time
To start
A real dispute
Is when you're
Offered a substitute
Burma-Shave
http://burma-shave.org/jingles/1938/the_time
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#276096; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Dave Beckett <dajobe@debian.org>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #81 received at 276096@bugs.debian.org (full text, mbox):

From: Dave Beckett <dajobe@debian.org>
To: ahs3@fc.hp.com
Cc: 276096@bugs.debian.org, Charles Fry <debian@frogcircus.org>
Subject: Re: Bug#276096: eclipse 3.1 in debian
Date: Mon, 01 Aug 2005 23:36:49 +0100
[Message part 1 (text/plain, inline)]
After I emailed the bug, I ported the ubuntu packages to debian, fixing
a few problems with dependencies.

It takes about 1.3G of disk, 500M+ of /tmp and 100Ms of memory and 30+
minutes to build on system.

and still isn't quite working yet:

$ /usr/bin/eclipse
/usr/bin/eclipse: line 4: /usr/share/java-common/java-common.sh: No such
file or directory
/usr/bin/eclipse: line 5: jvm_find: command not found

which seems to be caused by using files in the java-common package from
ubuntu (0.23ubuntu3) which are not in the debian one (0.23).

I also think eclipse-ecj should Conflict: and Replace: ecj-bootstrap so
that installing eclipse-ecj kicks out ecj-bootstrap.

The resulting binaries I'm not wanting to host myself but 've put the
diff I've got so far at http://people.debian.org/~dajobe/eclipse/

I'm not very interested in maintaining it, but as the maintainer of ikvm
I'd like it build as ikvm's latest release now needs either
ecj-bootstrap or eclipse-ecj to compile.  I'm presently using the
former.

Dave

[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#276096; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Mark Wielaard <mark@klomp.org>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #86 received at 276096@bugs.debian.org (full text, mbox):

From: Mark Wielaard <mark@klomp.org>
To: Michael Koch <konqueror@gmx.de>, Charles Fry <debian@frogcircus.org>
Cc: pkg-eclipse-maintainers@lists.alioth.debian.org, Joerg Wendland <joergland@debian.org>, Joel Baker <fenton@debian.org>, Jerry Haltom <wasabi@larvalstage.net>, Al Stone <ahs3@fc.hp.com>, 276096@debian.org, debian-java@lists.debian.org
Subject: Re: Eclipse Debian package status
Date: Tue, 02 Aug 2005 00:10:34 +0200
[Message part 1 (text/plain, inline)]
Hi,

On Mon, 2005-08-01 at 16:42 -0400, Charles Fry wrote:
> I am attempting to contact anyone who has previously expressed an
> interest in packaging a new Eclipse release for Debian. I grabbed
> everyone from the ITA, as well as the Alioth project, and the Java list
> for good measure. :-)

I have CCed Michael Koch. He is working on 3.1 packages. Which are
described and available from http://gnu.wildebeest.org/diary-man-di/

Cheers,

Mark

-- 
Escape the Java Trap with GNU Classpath!
http://www.gnu.org/philosophy/java-trap.html

Join the community at http://planet.classpath.org/
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#276096; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Jerry Haltom <wasabi@larvalstage.net>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #91 received at 276096@bugs.debian.org (full text, mbox):

From: Jerry Haltom <wasabi@larvalstage.net>
To: Charles Fry <debian@frogcircus.org>
Cc: pkg-eclipse-maintainers@lists.alioth.debian.org, Joerg Wendland <joergland@debian.org>, Joel Baker <fenton@debian.org>, Al Stone <ahs3@fc.hp.com>, 276096@debian.org, debian-java@lists.debian.org
Subject: Re: Eclipse Debian package status
Date: Mon, 01 Aug 2005 16:23:25 -0500
Already packaged and available in Ubuntu. Michael Koch is handling the
Debian version of it. If you'd like to get the Ubuntu version (which I
am in charge of) then you can grab it from the pool on
http://us.archive.ubuntu.com/ubuntu

I am unsure where Michael has the Debian version nor when he plans to
upload it.

On Mon, 2005-08-01 at 16:42 -0400, Charles Fry wrote:
> Hi,
> 
> I am attempting to contact anyone who has previously expressed an
> interest in packaging a new Eclipse release for Debian. I grabbed
> everyone from the ITA, as well as the Alioth project, and the Java list
> for good measure. :-)
> 
> Al Stone and I would like to work on packaging a new Eclipse release for
> Debian. Are any of you still interested in helping out? If so, can we
> resurrect the Alioth project? If not I suppose we can start a new one.
> ;-)
> 
> Charles
> 




Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#276096; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Charles Fry <debian@frogcircus.org>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #96 received at 276096@bugs.debian.org (full text, mbox):

From: Charles Fry <debian@frogcircus.org>
To: Michael Koch <konqueror@gmx.de>
Cc: 276096@bugs.debian.org
Subject: Re: Bug#276096: Eclipse Debian package status
Date: Mon, 1 Aug 2005 20:40:05 -0400
> On Mon, 2005-08-01 at 16:42 -0400, Charles Fry wrote:
> > I am attempting to contact anyone who has previously expressed an
> > interest in packaging a new Eclipse release for Debian. I grabbed
> > everyone from the ITA, as well as the Alioth project, and the Java list
> > for good measure. :-)
> 
> I have CCed Michael Koch. He is working on 3.1 packages. Which are
> described and available from http://gnu.wildebeest.org/diary-man-di/

Michael,

Do you have any plans for uploading your Debian Eclipse package? Could
you use a hand with any of your outstanding tasks?

Charles

-- 
He saw
The train
And tried to duck it
Kicked first the gas
And then the bucket
Burma-Shave
http://burma-shave.org/jingles/1949/he_saw



Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#276096; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Charles Fry <debian@frogcircus.org>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #101 received at 276096@bugs.debian.org (full text, mbox):

From: Charles Fry <debian@frogcircus.org>
To: Mark Wielaard <mark@klomp.org>, 276096@bugs.debian.org
Cc: Michael Koch <konqueror@gmx.de>, pkg-eclipse-maintainers@lists.alioth.debian.org, Joerg Wendland <joergland@debian.org>, Joel Baker <fenton@debian.org>, Jerry Haltom <wasabi@larvalstage.net>, Al Stone <ahs3@fc.hp.com>, debian-java@lists.debian.org
Subject: Re: Bug#276096: Eclipse Debian package status
Date: Wed, 3 Aug 2005 12:11:30 -0400
[Message part 1 (text/plain, inline)]
> > I am attempting to contact anyone who has previously expressed an
> > interest in packaging a new Eclipse release for Debian. I grabbed
> > everyone from the ITA, as well as the Alioth project, and the Java list
> > for good measure. :-)
> 
> I have CCed Michael Koch. He is working on 3.1 packages. Which are
> described and available from http://gnu.wildebeest.org/diary-man-di/

Unfortunately he removed the Eclipse packages from his site, and has not
yet responded to these email inquiries.

Does anyone have a copy of the 3.1 packages that he released?

Charles

-- 
Does your husband
Misbehave
Grunt and grumble
Rant and rave?
Shoot the brute some
Burma-Shave
http://burma-shave.org/jingles/1955/does_your_husband
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#276096; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Thomas Fogwill <tfogwill@csir.co.za>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #106 received at 276096@bugs.debian.org (full text, mbox):

From: Thomas Fogwill <tfogwill@csir.co.za>
To: Charles Fry <debian@frogcircus.org>
Cc: Mark Wielaard <mark@klomp.org>, 276096@bugs.debian.org, Joel Baker <fenton@debian.org>, debian-java@lists.debian.org, Joerg Wendland <joergland@debian.org>, Michael Koch <konqueror@gmx.de>, pkg-eclipse-maintainers@lists.alioth.debian.org, Jerry Haltom <wasabi@larvalstage.net>, Al Stone <ahs3@fc.hp.com>
Subject: Re: [eclipse-maintainers] Re: Bug#276096: Eclipse Debian package status
Date: Wed, 03 Aug 2005 21:43:08 +0200
On Wed, 2005-08-03 at 12:11 -0400, Charles Fry wrote:
> > I have CCed Michael Koch. He is working on 3.1 packages. Which are
> > described and available from http://gnu.wildebeest.org/diary-man-di/
> 
> Unfortunately he removed the Eclipse packages from his site, and has not
> yet responded to these email inquiries.
> 
> Does anyone have a copy of the 3.1 packages that he released?

I built debs on sid using Jerry's source package. Can't remember the
details, but very little effort was needed to get it going. I think I
needed the Ubuntu java-common, but that's about all.

Alternatively, the Ubuntu debs should work for you.

-- 
Thomas Fogwill <tfogwill@csir.co.za>


-- 
This message is subject to the CSIR's copyright, terms and conditions and
e-mail legal notice. Views expressed herein do not necessarily represent the
views of the CSIR.
 
CSIR E-mail Legal Notice
http://mail.csir.co.za/CSIR_eMail_Legal_Notice.html 
 
CSIR Copyright, Terms and Conditions
http://mail.csir.co.za/CSIR_Copyright.html 
 
For electronic copies of the CSIR Copyright, Terms and Conditions and the CSIR
Legal Notice send a blank message with REQUEST LEGAL in the subject line to
HelpDesk@csir.co.za.


This message has been scanned for viruses and dangerous content by MailScanner, 
and is believed to be clean.  MailScanner thanks Transtec Computers for their support.




Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#276096; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Stephan Michels <stephan.michels@gmail.com>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #111 received at 276096@bugs.debian.org (full text, mbox):

From: Stephan Michels <stephan.michels@gmail.com>
To: Charles Fry <debian@frogcircus.org>
Subject: Re: Bug#276096: Eclipse Debian package status
Date: Wed, 3 Aug 2005 19:47:59 +0200
> Unfortunately he removed the Eclipse packages from his site, and has not
> yet responded to these email inquiries.
> 
> Does anyone have a copy of the 3.1 packages that he released?

http://www.backports.org/~mkoch/unstable/

He moved the packages to backports.org

Stephan Michels.



Owner recorded as Joerg Wendland <joergland@debian.org>. Request was from Matej Vela <vela@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, Joerg Wendland <joergland@debian.org>:
Bug#276096; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Charles Fry <debian@frogcircus.org>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, Joerg Wendland <joergland@debian.org>. Full text and rfc822 format available.

Message #118 received at 276096@bugs.debian.org (full text, mbox):

From: Charles Fry <debian@frogcircus.org>
To: Michael Koch <konqueror@gmx.de>
Cc: 276096@bugs.debian.org
Subject: Re: New eclipse 3.1 packages uploaded
Date: Fri, 19 Aug 2005 13:15:19 -0400
Michael,

Thank you for the work that you have gone through in creating this
package.

Can I ask what your plans are for uploading this into Debian?

thanks,
Charles

-----Original Message-----
> From: Michael Koch <konqueror@gmx.de>
> Subject: New eclipse 3.1 packages uploaded
> Date: Fri, 19 Aug 2005 19:09:35 +0200
> To: debian-java@lists.debian.org
> Old-Return-Path: <mkoch@konqueror.de>
> Mail-Followup-To: debian-java@lists.debian.org
> 
> Hallo all,
> 
> 
> after a long time I got around to do some hacking on the Eclipse 3.1 packages
> for Debian. I uploaded them and they can be fetched with the following lines
> in your sources.list:
> 
> deb http://www.backports.org/~mkoch/unstable/ ./
> deb-src http://www.backports.org/~mkoch/unstable/ ./
> 
> The binary packages are built against the new ant and cairo packages. The
> internal help system of Eclipse doesn't work yet as this needs libtomcat5-java
> which is not in unstable at the time of this writing.
> 
> This revision is the first that provides precompiled native jars for GCJ 4.0.
> Its the begginning to make Eclipse a fully integrated IDE using a completly
> free toolchain. Kaffe and other free runtimes and proprietary runtimes are
> supported too.
> 
> Please the packages and report back all issues you find back to me.
> Don't write bug reports for the Debian BTS.
> 
> Have fun with the new packages.
> 
> 
> Greetings,
> 
> Michael
> -- 
> Escape the Java Trap with GNU Classpath!
> http://www.gnu.org/philosophy/java-trap.html
> 
> Join the community at http://planet.classpath.org/
> 
> 
> -- 
> To UNSUBSCRIBE, email to debian-java-REQUEST@lists.debian.org
> with a subject of "unsubscribe". Trouble? Contact listmaster@lists.debian.org
> 

-- 
That barefoot
Chap
With cheeks of tan
Won't let 'em chap
When he's a man
Burma-Shave
http://burma-shave.org/jingles/1953/that_barefoot



Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, Joerg Wendland <joergland@debian.org>:
Bug#276096; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Michael Koch <konqueror@gmx.de>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, Joerg Wendland <joergland@debian.org>. Full text and rfc822 format available.

Message #123 received at 276096@bugs.debian.org (full text, mbox):

From: Michael Koch <konqueror@gmx.de>
To: Charles Fry <debian@frogcircus.org>
Cc: 276096@bugs.debian.org
Subject: Re: New eclipse 3.1 packages uploaded
Date: Fri, 19 Aug 2005 19:25:17 +0200
On Fri, Aug 19, 2005 at 01:15:19PM -0400, Charles Fry wrote:
> Michael,
> 
> Thank you for the work that you have gone through in creating this
> package.
> 
> Can I ask what your plans are for uploading this into Debian?

The plans are to wait for libtomcat5-java and liblucene-java to be in
unstable/main. libtomcat5-java should be there tomorrow. liblucene-java
can take a while as we need to fix some rmic issues first to be able to
build it with a completely free toolchain.

When this is sorted out and no bigger problems are known with the debs
we will upload it directly into the archive.


Greetings,
Michael
-- 
Escape the Java Trap with GNU Classpath!
http://www.gnu.org/philosophy/java-trap.html

Join the community at http://planet.classpath.org/



Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, Joerg Wendland <joergland@debian.org>:
Bug#276096; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Charles Fry <debian@frogcircus.org>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, Joerg Wendland <joergland@debian.org>. Full text and rfc822 format available.

Message #128 received at 276096@bugs.debian.org (full text, mbox):

From: Charles Fry <debian@frogcircus.org>
To: Michael Koch <konqueror@gmx.de>
Cc: 276096@bugs.debian.org
Subject: eclipse ready for unstable?
Date: Thu, 15 Sep 2005 11:27:21 -0400
[Message part 1 (text/plain, inline)]
> The plans are to wait for libtomcat5-java and liblucene-java to be in
> unstable/main. libtomcat5-java should be there tomorrow. liblucene-java
> can take a while as we need to fix some rmic issues first to be able to
> build it with a completely free toolchain.
> 
> When this is sorted out and no bigger problems are known with the debs
> we will upload it directly into the archive.

As far as I can tell, these criteria have all been met.

Any chance of seeing 3.1 in unstable now?

cheers,
Charles

-- 
Fire! Fire!
Keep cool
Be brave
Just grab
Your pants and
Burma-Shave
http://burma-shave.org/jingles/1938/fire_fire
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, Joerg Wendland <joergland@debian.org>:
Bug#276096; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Michael Koch <konqueror@gmx.de>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, Joerg Wendland <joergland@debian.org>. Full text and rfc822 format available.

Message #133 received at 276096@bugs.debian.org (full text, mbox):

From: Michael Koch <konqueror@gmx.de>
To: Charles Fry <debian@frogcircus.org>
Cc: 276096@bugs.debian.org
Subject: Re: eclipse ready for unstable?
Date: Thu, 15 Sep 2005 17:45:21 +0200
On Thu, Sep 15, 2005 at 11:27:21AM -0400, Charles Fry wrote:
> > The plans are to wait for libtomcat5-java and liblucene-java to be in
> > unstable/main. libtomcat5-java should be there tomorrow. liblucene-java
> > can take a while as we need to fix some rmic issues first to be able to
> > build it with a completely free toolchain.
> > 
> > When this is sorted out and no bigger problems are known with the debs
> > we will upload it directly into the archive.
> 
> As far as I can tell, these criteria have all been met.
> 
> Any chance of seeing 3.1 in unstable now?

The above cirteria are met but we have still one BIG problem:
How to handle SWT. I'm currently talking with the SWT maintainer on
how to resolve our issues.


Cheers,
Michael
-- 
Escape the Java Trap with GNU Classpath!
http://www.gnu.org/philosophy/java-trap.html

Join the community at http://planet.classpath.org/



Owner changed from Joerg Wendland <joergland@debian.org> to Michael Koch <konqueror@gmx.de>. Request was from Matej Vela <vela@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Reply sent to Matej Vela <vela@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Jan Schulz <debian@katzien.de>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #140 received at 276096-done@bugs.debian.org (full text, mbox):

From: Matej Vela <vela@debian.org>
To: 276096-done@bugs.debian.org
Subject: Bug#276096: fixed in eclipse 3.1.1-3
Date: Sun, 30 Oct 2005 18:34:31 +0100
Source: eclipse
Source-Version: 3.1.1-3

The package has been adopted:

-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Tue, 25 Oct 2005 09:18:18 +0000
Source: eclipse
Binary: eclipse-rcp-common eclipse-jdt-common eclipse-platform-gcj eclipse-source eclipse-base libswt3.1-gtk-jni libswt3.1-gtk-java eclipse-efj eclipse-pde-gcj eclipse-ecj-gcj eclipse-jdt eclipse-ecj eclipse-platform eclipse-sdk eclipse-jdt-gcj eclipse-pde eclipse-pde-common eclipse-rcp-gcj eclipse-rcp eclipse-platform-common
Architecture: source i386 all
Version: 3.1.1-3
Distribution: unstable
Urgency: low
Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
Changed-By: Michael Koch <konqueror@gmx.de>
Description: 
 eclipse-base - Eclipse distribution base
 eclipse-ecj - Eclipse Java compiler and Ant plug-in
 eclipse-ecj-gcj - Native version of the Eclipse Java compiler
 eclipse-efj - Eclipse Java code formatter
 eclipse-jdt - Java Development Tools plug-ins for Eclipse
 eclipse-jdt-common - Java Development Tools plug-ins for Eclipse (common files)
 eclipse-jdt-gcj - Java Development Tools plug-ins for Eclipse (GCJ version)
 eclipse-pde - Plug-in Development Environment to develop Eclipse plug-ins
 eclipse-pde-common - Plug-in Development Environment to develop Eclipse plug-ins (comm
 eclipse-pde-gcj - Plug-in Development Environment to develop Eclipse plug-ins (GCJ 
 eclipse-platform - Eclipse platform without plug-ins to develop any language
 eclipse-platform-common - Eclipse platform without plug-ins to develop any language (common
 eclipse-platform-gcj - Eclipse platform without plug-ins to develop any language (GCJ ve
 eclipse-rcp - Eclipse rich client platform
 eclipse-rcp-common - Eclipse rich client platform (common files)
 eclipse-rcp-gcj - Eclipse rich client platform (GCJ version)
 eclipse-sdk - Extensible Tool Platform and Java IDE
 eclipse-source - Eclipse source code plug-ins
 libswt3.1-gtk-java - Fast and rich GUI toolkit for Java, gtk2 version
 libswt3.1-gtk-jni - Platform dependent files for libswt3.1-gtk-java
Closes: 204569 207156 212765 219475 221712 221816 226160 247404 255745 259321 260510 262760 271584 281226 293058 304672 305990
Changes: 
 eclipse (3.1.1-3) unstable; urgency=low
 .
   * Michael Koch <konqueror@gmx.de>:
     - Updated debian/patches/eclipse-java-model-cache.dpatch to use the upstream
       solution.
     - debian/rules: Handle ia64 architecture.
     - Worked around bugs in latest lucene package.
     - Moved package to main.
 .
   * Stephan Michels <stephan@apache.org>:
     - Added debian/patches/eclipse-gnuformatterjdtui.dpatch
       to make the GNU formation rules available in the preferences
       (<A  HREF="https://bugs.eclipse.org/bugs/show_bug.cgi?id=91770">https://bugs.eclipse.org/bugs/show_bug.cgi?id=91770</A>)
     - Added debian/patches/eclipse-updatehomedir.dpatch
       to add home directory as installation location
       if ECLIPSE_HOME is not writable
       (<A  HREF="https://bugs.eclipse.org/bugs/show_bug.cgi?id=90630">https://bugs.eclipse.org/bugs/show_bug.cgi?id=90630</A>)
     - Updated debian/patches/eclipse-disable-filelog.dpatch
       so that the patch didn't depend on the tomcat patches anymore
     - Updated debian/patches/eclipse-tomcat5.patch
       to combine the tomcat5 patches to one patch
     - Updated debian/patches/eclipse-disable-tomcat.dpatch
       in respect of the eclipse-disable-filelog.dpatch
     - Added debian/patches/eclipse-libswt-mozilla-classic.dpatch
       to set the classic theme for the browser widget to improve the look
       (<A  HREF="https://bugs.eclipse.org/bugs/show_bug.cgi?id=108257">https://bugs.eclipse.org/bugs/show_bug.cgi?id=108257</A>)
     - Added debian/patches/eclipse-navtivepresentation.dpatch
       to enable the internal native presentation and add some improvments
       (<A  HREF="https://bugs.eclipse.org/bugs/show_bug.cgi?id=93806">https://bugs.eclipse.org/bugs/show_bug.cgi?id=93806</A>)
 .
 eclipse (3.1.1-2) unstable; urgency=low
 .
   * eclipse-ecj: Fix dangling symlinks in /usr/share/ant/lib.
   * Move the dh_installdirs/dh_install calls from the binary targets
     to the install target. Fixes FTBFS when only building the architecture
     dependent packages.
 .
 eclipse (3.1.1-1) unstable; urgency=low
 .
   * Upload to contrib, the remaining reason is tomcat5 beeing in contrib.
 .
   * New upstream release. Closes: #260510, #293058.
     - source code formatter changes. Closes: #212765.
     - Fixed broken Filesystem: inputfield on gtk. Closes: #204569.
     - Fixed ant integration memory leaks. Closes: #219475.
     - Fixed refactoring and quickfix fail when assert is used. Closes: #226160.
     - Fixed includes regarding kaffe jni files. Closes: #262760.
     - eclipse-platform package description changed. Closes: #271584.
     - Dependency on kaffe is unneeded. Closes: #259321.
     - start-functions.sh file removed. Closes: #304672.
     - libswt2.1-gtk2-java not built anymore. Closes: #207156, #255745, #305990.
     - eclipse can be installed. Closes: #247404.
 .
   * Michael Koch <konqueror@gmx.de>:
     - Updated debian/patches/eclipse-disable-motif.patch and
       debian/patches/eclipse-libswt-cairo1.0.patch. Thanks to Stephan Michels
     - Added debian/patches/eclipse-java-cache-model.patch to work around
       memory handling stupidity
     - debian/rules: Build Eclipse only once.
     - debian/rules: Put debian version into about.mappings of org.eclipse.sdk
       to show it in Eclipse about dialog.
     - debian/rules: Build the native jars conditionally
     - Use gcj instead of jikes to build the bootstrap ecj compiler
     - Merged the fileInitializer code for debian/rules from Jerry Haltom's
       Eclipse version for Ubuntu.
     - debian/control: Make sure all *-gcj packages depend directly or
       indirectly on gij-4.0 for the gcj-dbtool-4.0.
     - debian/control: (Build-)Depends on ant-optional instead of ant for a
       fully featured Apache Ant.
     - debian/extra/java_home: Added more free and non-free JDKs.
       Closes: #281226.
 .
   * Matthias Klose <doko@ubuntu.com>:
     - debian/*-gcj.postrm: Copy the update-gcj-classmaps-eclipse.sh script
       into the postrm scripts. eclipse-base: Depend on gij-4.0. Ubuntu #16574.
     - debian-*-gcj.prerm: Remove the update-gcj-classmaps-eclipse.sh script.
     - debian/extra/java_home: Add home for the Blackdown JDK (j2sdk1.4 package).
     - debian/control: Recommend eclipse-source, don't depend on it.
       Ubuntu #2878.
     - Convert the custom patch system to dpatch.
     - Add support to build conditionally with tomcat5.
     - debian/control: eclipse-base: Depend on gij-4.0. Ubuntu #2850.
     - debian/control: eclipse-rcp replaces eclipse-rcp-common (<< 3.1.1).
       Ubuntu #2828.
     - debian/control: Remove gcc/g++ build dependencies, replace gcj dependency
       with dependency on libgcj-dev.
     - debian/control: Generated from debian/control.in
     - Set the package section to contrib/devel again, tomcat5 is still in
       contrib.
     - Revert the 3.1-11 SWT package changes.
     - Add conflicts to the swt packages, which are currently built from sources
       extracted from the eclipse release.
     - Honor setting of JAVA_HOME in startup script. Ubuntu #2835.
     - Build swt libraries using -O2.
     - debian/patches/eclipse-ant-manifest.dpatch: Disable.
     - Blackdown crashes cannot be reproduced anymore with current Blackdown
       package versions on i386 and amd64. Closes: #221712, #221816.
 .
   * We do build swt-gtk from the eclipse source for various reasons:
     - There is no swt-gtk upstream release, upstream does release swt-gtk
       as part of an eclipse release.
     - The swt-gtk built by separate sources is incompatible with the swt
       built by eclipse as it misses some eclipse specific parts.  Eclipse
       and SWT always have to have the same version to make sure both are
       compatible with each other.
       As upstream doesn't maintain different releases of both, they don't
       maintain compatiblity very well.
 .
 eclipse (3.1.1-0ubuntu1) breezy; urgency=low
 .
   * New upstream version.
   * eclipse-disable-motif.patch, eclipse-libswt-cairo1.0.patch: Update,
     thanks to Stephan Michels.
   * debian/*-gcj.postrm: Copy the update-gcj-classmaps-eclipse.sh script
     into the postrm scripts. Ubuntu #16574.
   * debian/extra/java_home: Add home for the Blackdown JDK (j2sdk1.4 package).
 .
 eclipse (3.1-11) unstable; urgency=low
 .
   * Fixed SWT.
 .
 eclipse (3.1-10ubuntu1) breezy; urgency=low
 .
   * Synchronize with unstable.
   * Disable building with tomcat5, not yet in universe, remove libtomcat5-java
     build dependency. libtomcat5-java dependency from eclipse-platform,
     replace it with a suggestion.
   * Fix FTBFS on amd64, building without tomcat5.
   * Build using ecj-bootstrap instead of jikes.
   * libswt3.1-gtk-jni: Remove dependency on mozilla-browser.
 .
 eclipse (3.1-10) unstable; urgency=low
 .
   * debian/extra/eclipse.sh: support -vm instead of -java as the manpage says.
   * Reworked debian/patches/eclipse-tomcat5.patch to make the help system
     actually work.
   * Removed debian/patches/eclipse-doc-plugins-disabled.patch. Obsolete now.
   * Removed debian/patches/TomcatAppServer.java.diff. Obsolete now.
   * Removed debian/patches/eclipse-libswt-cairo0.6.patch and
     added debian/patches/eclipse-libswt-cairo1.0.patch to work correctly
     with Cairo 1.0
   * Added debian/patches/eclipse-swt-x11.patch for building on 64bit archs.
   * Added debian/patches/eclipse-disable-javadoc.patch,
   * debian/patches/eclipse-disable-buildHelpIndex.patch,
     eclipse-3.1/debian/patches/eclipse-consoleprogressmonitor.patch and
     eclipse-3.1/debian/patches/z-eclipse-disable-filelog.patch to cope with
     a hanging build system when building help files
 .
 eclipse (3.1-9) unstable; urgency=low
 .
   * Added patch from Stephan Michels to set MOZILLA_FIVE_HOME during startup
     to be able to embedd Mozilla inside Eclipse.
   * Added debian/patches/eclipse-swttools.patch.
   * Fixed debian/extra/arch-files.txt.
   * libswt-gtk-3.1-jni: Added dependency on mozilla-browser.
   * Fixed debian/patches/eclipse-tomcat5.patch to add the correct jar names to
     the tomcat MANIFEST.MF.
 .
 eclipse (3.1-8) unstable; urgency=low
 .
   * (Build-)Depend on libtomcat5-java instead of libtomcat4-java.
   * debian/rules: Reference tomcat5 instead of tomcat4 and handle tomcat5
     properly.
   * Removed debian/patches/eclipse-tomcat4.patch and added
     debian/patches/eclipse-tomcat5.patch.
   * Make eclipse-rcp depend on libswt3.1-gtk-java.
 .
 eclipse (3.1-7) unstable; urgency=low
 .
   * Added missing *.jar.so files to the packages.
   * Added debian/aot-compile script and use it to compile jars to native.
   * Removed debian/eclipse-sdk.postinst and debian/eclipse-sdk.postrm.
   * Don't make eclipse-efj Depends on ${shlibs:Depends}.
   * Fixed debian/extra/eclipse.sh to give command line arguments to
     Eclipse.
 .
 eclipse (3.1-6) unstable; urgency=low
 .
   * Fixed compilation of jars to native.
   * Created classmap files and and merged them after package installation.
   * Got rid of update-eclipse script.
   * Included update-gcj-classmaps-eclipse script.
   * Added patches from Stephan Michels to enable cairo and Mozilla support
     and to disable Motif and Win32 compilation.
   * Use ant instead of libant1.6-java.
 .
 eclipse (3.1-5) unstable; urgency=low
 .
   * Cleaned up debian/rules more.
   * debian/rules: Use $(ECLIPSE_ARCH) instead of hardcoding x86.
   * Renamed debian/eclipse-ecj.postrm to debian/eclipse-ecj.prerm.
   * Renamed debian/eclipse-ecj-native.postrm to
     debian/eclipse-ecj-native.prerm.
   * Added debian/eclipse-rcp.postinst.
   * Include efj executable.
   * Got rid of libeclipse-jni package.
   * Renamed eclipse-ecj-native to eclipse-ecj-gcj and included
     ecj-gcj executable.
   * Fixed jsch usage.
 .
 eclipse (3.1-4) unstable; urgency=low
 .
   * Use native ecj to build Eclipse.
   * Updated debian/patches/eclipse-cvs-ssh-jsch.patch to update all
     occurrences of jsch version number.
 .
 eclipse (3.1-3) unstable; urgency=low
 .
   * debian/control: Big cleanup.
   * Moved debian/addons/ to debian/extra/.
   * debian/rules: Got rid of --sourcedir argument to dh_install.
   * debian/*.install: Fixed paths.
 .
 eclipse (3.1-2) unstable; urgency=low
 .
   * Fixed command line arguments for SUN java.
   * Include missing files.
   * Fixed handling of links for SWT.
   * Use standard binaries and remove wrappers in debian/bin.
 .
 eclipse (3.1-1) unstable; urgency=low
 .
   * New upstream version.
   * Updated Standards-Version to 3.6.2.
 .
 eclipse (3.0.1-1) unstable; urgency=low
 .
   * New upstream release.
   * Thanks to Jan Schulz for maintaining the Eclipse 2.1 packages and for his
     comments on my Eclipse 3.0 packaging effort.
   * Designed to run by default with Kaffe.
Files: 
 62d82bc6f83853fc3402de820a47a31a 1431 devel optional eclipse_3.1.1-3.dsc
 236d588e6fc10a8c1db98124b1c0ed71 60423445 devel optional eclipse_3.1.1.orig.tar.gz
 29c50e63244b0c81753146b83f77e299 102926 devel optional eclipse_3.1.1-3.diff.gz
 fbefbf5d58930b3ea8d2294b55f6af38 16958 devel optional eclipse-base_3.1.1-3_all.deb
 c31a05a1e595af7f917226d6f8285a54 4682246 devel optional eclipse-rcp-common_3.1.1-3_all.deb
 173a3b8fc41953dda9572495f48cfb80 24948880 devel optional eclipse-platform-common_3.1.1-3_all.deb
 be193df24833c0717d6796e67c33424f 21707942 devel optional eclipse-jdt-common_3.1.1-3_all.deb
 09e3839e2c0edc59df42fc5ab720a039 5646260 devel optional eclipse-pde-common_3.1.1-3_all.deb
 3eaebad01b2da1d5f86afae81dd334d6 74386 devel optional eclipse-sdk_3.1.1-3_all.deb
 eaf11d878f233427078b137fb0721258 1331780 devel optional libswt3.1-gtk-java_3.1.1-3_all.deb
 5c919a4cab995820ee56805266e42225 28538 devel optional eclipse-ecj_3.1.1-3_all.deb
 70b7b916af37e0df5a78e3d3fe57ee3c 17806 devel optional eclipse-rcp_3.1.1-3_i386.deb
 b1a0c0928acd58d4a14d9457ec06e5c7 5940656 devel optional eclipse-rcp-gcj_3.1.1-3_i386.deb
 dd4862da384d68c159b3ec54873315e7 245234 devel optional eclipse-platform_3.1.1-3_i386.deb
 ea0597a74103ba66c491db2c37718f1d 19525278 devel optional eclipse-platform-gcj_3.1.1-3_i386.deb
 3157cfd76811cdd878e7de8f648fba4c 17238 devel optional eclipse-jdt_3.1.1-3_i386.deb
 718ca3bce941d37ee8ac800e1e7b00a0 16512572 devel optional eclipse-jdt-gcj_3.1.1-3_i386.deb
 f9d26d1308a98fbcbafe378b1f5bcabb 17082 devel optional eclipse-pde_3.1.1-3_i386.deb
 9d4c13d21cc23a7a8e2f1003f678f575 3941114 devel optional eclipse-pde-gcj_3.1.1-3_i386.deb
 2c329165506837d5bcf4ae262df41519 25716654 devel optional eclipse-source_3.1.1-3_i386.deb
 642a4a8936cd5653c0cf684f4f22a939 161820 devel optional libswt3.1-gtk-jni_3.1.1-3_i386.deb
 13810a2d2b428e5dec6e3421f0fce3ce 1729424 devel optional eclipse-ecj-gcj_3.1.1-3_i386.deb
 30f26e0b7b775acfbf82cdb380744d7a 17154 devel optional eclipse-efj_3.1.1-3_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.2 (GNU/Linux)

iD8DBQFDX6eEStlRaw+TLJwRAtR6AJ9hDC8YmPkfFh6UIy+dsZFO+KDoBwCePEq+
Dttz6JP9+Wcz4SXe584m3Hk=
=hXZM
-----END PGP SIGNATURE-----



Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 18 Jun 2007 22:32:31 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 23 17:43:43 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.